%global bundle org.apache.felix.dependencymanager
%define subrel 1
Name:          felix-dependencymanager
Version:       2.0.1
Release:       %mkrel 4
Summary:       Apache Felix Dependency Manager
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
#Source0:       http://www.apache.org/dist/felix/org.apache.felix.dependencymanager-%{version}-project.tar.gz
# svn export https://svn.apache.org/repos/asf/felix/releases/org.apache.felix.dependencymanager-2.0.1/
# tar czf org.apache.felix.dependencymanager-2.0.1-src-svn.tar.gz org.apache.felix.dependencymanager-2.0.1
Source0:       org.apache.felix.dependencymanager-2.0.1-src-svn.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant

BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

BuildRequires: felix-parent
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core

#Requires:      felix-configadmin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Apache Felix Dependency Manager provides a run-time service dependency manager.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 2.0.1-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 2.0.1-4.mga4
+ Revision: 504817
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 350106
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 132726
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package felix-dependencymanager

